//
// DT/IT Series NFC Driver Library
// File Name : NFCFelicaLib.h
// Version   : 1.03
// Date      : 01/23/2012
// Copyright (C) CASIO COMPUTER CO.,LTD.
//

#ifdef __cplusplus
extern "C" {
#endif // __cplusplus

int NFCFelicaOpen(HWND hWnd);
int NFCFelicaClose(void);
int NFCFelicaPolling(DWORD dwTimeout, BOOL (*fpCallBack)(void), DWORD dwSystemCode, DWORD dwReserved);
int NFCFelicaStopPolling(void);
int NFCFelicaGetCardResponse(BYTE *pbyIDm, BYTE *pbyPMm, DWORD *pdwSystemCode, DWORD dwReserved);
int NFCFelicaRadioOff(void);
int NFCFelicaRead(DWORD dwServiceCode, DWORD dwBlockNumber, BYTE *pbyData, DWORD dwReserved);
int NFCFelicaWrite(DWORD dwServiceCode, DWORD dwBlockNumber, BYTE *pbyData, DWORD dwReserved);
int NFCFelicaSetEventNotification(DWORD dwMode);
int NFCFelicaGetEventNotification(DWORD *pdwMode);
int NFCFelicaSetAutoRadioOff(DWORD dwTimeout);
int NFCFelicaGetAutoRadioOff(DWORD *pdwTimeout);
int NFCFelicaSetPollingMode(DWORD dwMode, DWORD dwNum, DWORD dwReserved);
int NFCFelicaGetPollingMode(DWORD *pdwMode, DWORD *pdwNum, DWORD *pdwReserved);
int NFCFelicaGetCardResponseEx(BYTE *pbyIDm, BYTE *pbyPMm, DWORD *pdwSystemCode, DWORD *pdwDiscoveredNum, DWORD *pdwReserved);

int NFCFelicaSamOpen(void);
int NFCFelicaSamClose(void);
int NFCFelicaSamPowerUp(DWORD dwSlotNumber, DWORD dwReserved);
int NFCFelicaSamPowerDown(DWORD dwSlotNumber, DWORD dwReserved);
int NFCFelicaSamAuthentication(DWORD dwSlotNumber, DWORD dwReserved);
int NFCFelicaAuthentication(DWORD dwSlotNumber,
							DWORD dwSystemCode, WORD wSystemKeyVer,
							BYTE byAreaNum, BYTE *pbyAreaCode,
							BYTE byServiceNum, BYTE *pbyServiceCode,
							DWORD dwTargetNo, DWORD dwReserved);
int NFCFelicaReadWithEncryption(DWORD dwSlotNumber, BYTE byBlockNum, BYTE *pbyBlockList,
								BYTE *pbyData, BYTE *pbyActualNum,
								DWORD dwTargetNo, DWORD dwReserved);
int NFCFelicaWriteWithEncryption(DWORD dwSlotNumber,
								 BYTE byBlockNum, BYTE *pbyBlockList,
								 BYTE *pbyData, DWORD dwTargetNo, DWORD dwReserved);

#ifdef __cplusplus
}
#endif // __cplusplus
