//
// DT/IT Series NFC Driver Library
// File Name : NFCHFTagLib.h
// Version   : 1.01
// Date      : 12/15/2011
// Copyright (C) CASIO COMPUTER CO.,LTD.
//

#define NFC_HFTAG_DEFAULT		0x00
#define NFC_HFTAG_SECURITY		0x01

#ifdef __cplusplus
extern "C" {
#endif // __cplusplus

int NFCHFTagOpen(HWND hWnd);
int NFCHFTagClose(void);
int NFCHFTagPolling(DWORD dwTimeout, BOOL (*fpCallBack)(void), BYTE byAFI, DWORD dwParam, DWORD dwReserved);
int NFCHFTagStopPolling(void);
int NFCHFTagGetCardResponse(BYTE *pbyDSFID, BYTE *pbyUid, DWORD dwReserved);
int NFCHFTagRadioOff(void);
int NFCHFTagRead(DWORD dwBlockAddress, BYTE *pbyData, DWORD *pdwActualSize, DWORD dwTargetNo, DWORD dwOption);
int NFCHFTagWrite(DWORD dwBlockAddress, BYTE *pbyData, DWORD dwWriteSize, DWORD dwTargetNo, DWORD dwReserved);
int NFCHFTagLock(DWORD dwBlockAddress, DWORD dwTargetNo, DWORD dwReserved);
int NFCHFTagReadMulti(DWORD dwBlockAddress, DWORD dwBlockNumber, BYTE *pbyData, DWORD *pdwActualSize, DWORD dwTargetNo, DWORD dwReserved);
int NFCHFTagWriteAFI(BYTE byAFI, DWORD dwTargetNo, DWORD dwReserved);
int NFCHFTagLockAFI(DWORD dwTargetNo, DWORD dwReserved);
int NFCHFTagWriteDSFID(BYTE byDSFID, DWORD dwTargetNo, DWORD dwReserved);
int NFCHFTagLockDSFID(DWORD dwTargetNo, DWORD dwReserved);
int NFCHFTagGetSystemInfo(BYTE *pbyInfo, BYTE *pbyUID, BYTE *pbyDSFID, BYTE *pbyAFI, BYTE *pbyMemSize, BYTE *pbyICRef, DWORD dwTargetNo, DWORD dwReserved);
int NFCHFTagGetSecurityStatus(DWORD dwBlockAddress, DWORD dwBlockNumber, BYTE *pbyStatus, DWORD *pdwActualSize, DWORD dwTargetNo, DWORD dwReserved);
int NFCHFTagSetEventNotification(DWORD dwMode);
int NFCHFTagGetEventNotification(DWORD *pdwMode);
int NFCHFTagSetAutoRadioOff(DWORD dwTimeout);
int NFCHFTagGetAutoRadioOff(DWORD *pdwTimeout);
int NFCHFTagSetPollingMode(DWORD dwMode, DWORD dwNum, DWORD dwReserved);
int NFCHFTagGetPollingMode(DWORD *pdwMode, DWORD *pdwNum, DWORD *pdwReserved);
int NFCHFTagGetCardResponseEx(BYTE *pbyDSFID, BYTE *pbyUid, DWORD *pdwDiscoveredNum, DWORD *pdwReserved);

#ifdef __cplusplus
}
#endif // __cplusplus
