//
// DT/IT Series NFC Driver Library
// File Name : NFCMifareLib.h
// Copyright (C) CASIO COMPUTER CO.,LTD.
//

#define NFC_MIFARE_KEYA			0x01
#define NFC_MIFARE_KEYB			0x02

#define NFC_MIFARE_INCREMENT	0x01
#define NFC_MIFARE_DECREMENT	0x02
#define NFC_MIFARE_RESTORE		0x03

#ifdef __cplusplus
extern "C" {
#endif // __cplusplus

int NFCMifareOpen(HWND hWnd);
int NFCMifareClose(void);
int NFCMifarePolling(DWORD dwTimeout, BOOL (*fpCallBack)(void), DWORD dwReserved);
int NFCMifareStopPolling(void);
int NFCMifareGetCardResponse(BYTE *pbyATQ, BYTE *pbySAK, BYTE *pbyUid, BYTE *pbyUidLen, DWORD dwReserved);
int NFCMifareRadioOff(void);
int NFCMifareAuthentication(DWORD dwMode, BYTE *pbyKey, DWORD dwBlockNumber, DWORD dwReserved);
int NFCMifareRead(DWORD dwBlockNumber, BYTE *pbyData, DWORD dwReserved);
int NFCMifareWrite(DWORD dwBlockNumber, BYTE *pbyData, DWORD dwReserved);
int NFCMifareWrite4(DWORD dwBlockNumber, BYTE *pbyData, DWORD dwReserved);
int NFCMifareValue(DWORD dwMode, DWORD dwBlockNumber, BYTE *pbyValue, DWORD dwTransBlock, DWORD dwReserved);
int NFCMifareSetEventNotification(DWORD dwMode);
int NFCMifareGetEventNotification(DWORD *pdwMode);
int NFCMifareSetAutoRadioOff(DWORD dwTimeout);
int NFCMifareGetAutoRadioOff(DWORD *pdwTimeout);
int NFCMifareSetPollingMode(DWORD dwMode, DWORD dwNum, DWORD dwReserved);
int NFCMifareGetPollingMode(DWORD *pdwMode, DWORD *pdwNum, DWORD *pdwReserved);
int NFCMifareGetCardResponseEx(BYTE *pbyATQ, BYTE *pbySAK, BYTE *pbyUid, BYTE *pbyUidLen, DWORD *pdwDiscoveredNum, DWORD *pdwReserved);

#ifdef __cplusplus
}
#endif // __cplusplus
